Bug 1730628 - On host edit form, it doesn't show selected image value in GCE
Summary: On host edit form, it doesn't show selected image value in GCE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-07-17 08:37 UTC by Kavita
Modified: 2019-10-22 19:49 UTC (History)
3 users (show)

Fixed In Version: foreman-1.22.0.17-1
Doc Type: If docs needed, set a value
Doc Text:
When provisioning a host using GCE the user interface may not show the currently selected image to be intended to be provisioned.
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27316 None None None 2019-07-17 08:40:04 UTC

Description Kavita 2019-07-17 08:37:45 UTC
Description of problem:

In case of GCE image provisioning it is not showing image value on host edit form.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create Google compute resource and image 
2. After all other settings, provision a host with image
3. Edit host and see OS TAB

Actual results:
image field is not showing selected value for provisioned host


Expected results:
form should show selected image on host edit

Additional info:

Comment 3 Kavita 2019-07-17 08:40:02 UTC
Created redmine issue https://projects.theforeman.org/issues/27316 from this bug

Comment 4 Bryan Kearney 2019-07-17 10:04:24 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 5 Bryan Kearney 2019-07-17 10:04:25 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 6 Bryan Kearney 2019-07-18 12:04:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27316 has been resolved.

Comment 9 Jitendra Yejare 2019-08-26 14:02:10 UTC
Verified!

@ Satellite 6.6 snap 17


Steps to Reproduce:
1. Create Google compute resource and image 
2. After all other settings, provision a host with image
3. Edit host and see OS TAB

Actual results:
The image field is showing selected value for the provisioned host.

Comment 10 Bryan Kearney 2019-10-22 19:49:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.